RSBag - Feature #1534
Allow hard-wired foreign library paths
06/07/2013 01:23 PM - J. Moringen

Status: Resolved Start date: 06/07/2013
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Commandline Tools Estimated time: 0.00 hour
Target version: rsb-0.9

Description

This is necessary for enabling installations without LD_LIBRARY_PATH hacks in some cases.

Associated revisions

Revision ba8f0d79 - 06/09/2013 03:12 PM - J. Moringen

Added re-dumping, hard-wired foreign libraries in main/main.lisp

fixes #1534

- main/main.lisp (main): accept "redump" commandline option
(make-static): new function; configure reloading of libraries from
previous locations
(make-dynamic): new function; configure reloading of libraries from
new locations

- main/dump.lisp (toplevel): call ‘make-dynamic' instead of directly
reconfiguring network.spread

- cpack/DebianUbuntu.cmake: decompress binary in postinst hook

- main/package.lisp (header): updated copyright
(package rsbag.tools.main): added exported symbols make-static and

make-dynamic

History

#1 - 06/09/2013 08:17 PM - J. Moringen
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset rsbag-tools-cljcommit:ba8f0d793c1e76fe2d21c5a11da034d29d810c38.
